Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkScopeConfiguration<TScope, TKey>

Defines a relational mapping for the Scope entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkScopeConfiguration<TScope, TKey>

###### Namespace: OpenIddict.EntityFramework

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkScopeConfiguration<TScope, TKey> : EntityTypeConfiguration<TScope> where TScope : OpenIddictEntityFrameworkScope<TKey> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TScope | The type of the Scope entity.
TKey | The type of the Key entity.

### Constructors

#### OpenIddictEntityFrameworkScopeConfiguration()

##### Declaration

    public OpenIddictEntityFrameworkScopeConfiguration()